summaryrefslogtreecommitdiffstats
path: root/games/prboom
diff options
context:
space:
mode:
author Manuel Mantilla2010-05-12 17:39:29 +0200
committer David Somero2010-05-12 17:39:29 +0200
commitb83ce72c6d64732bda70202c0f472a3f600e264c (patch)
treed8fe125b3df3a9c17f9304f5d530eb94ca1c59c1 /games/prboom
parent567c1f271018debc6be7bca603dfe89ffd8ce456 (diff)
downloadslackbuilds-b83ce72c6d64732bda70202c0f472a3f600e264c.tar.gz
games/prboom: Updated for version 2.5.0
Diffstat (limited to 'games/prboom')
-rw-r--r--games/prboom/README34
-rw-r--r--games/prboom/prboom.SlackBuild47
-rw-r--r--games/prboom/prboom.info12
3 files changed, 58 insertions, 35 deletions
diff --git a/games/prboom/README b/games/prboom/README
index 8fa2ba17e8..039cc23b44 100644
--- a/games/prboom/README
+++ b/games/prboom/README
@@ -1,24 +1,20 @@
-PrBoom is a modern doom game engine or "doom-port" to play idSoftware's Doom,
-Doom II, Doom expansion packs and custom "iwads" or mods (It doesn't include
-the game itself).It aims to be the most stable Doom port with the highest
-compatibility to the major Doom versions.
+PrBoom is a modern doom game engine or "doom-port" to play idSoftware's Doom,
+Doom II, Doom expansion packs and custom "iwads" or mods (It doesn't include
+the game itself). It aims to be the most stable Doom port with the highest
+compatibility to the major Doom versions.
-If you don't own any of the Doom games, get the shareware doom1.wad from
-http://www.libsdl.org/projects/doom/data/doom1.wad.zip or google for it.
-Remember to rename it to lowercase: mv DOOM1.WAD doom1.wad Then copy
-doom1.wad to /usr/share/games/doom/
+If you don't own any of the Doom games, get the shareware doom1.wad from
+http://www.libsdl.org/projects/doom/data/doom1.wad.zip, unzip it, and
+rename it to lowercase: mv DOOM1.WAD doom1.wad
+Then copy doom1.wad to /usr/share/games/doom/
-If you have one or all of the main Doom data files from idSoftware -
-either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one of the
-commercial Doom games copy them there too.
+If you have one or all of the main Doom data files from idSoftware -
+either doom.wad, doom2.wad, tnt.wad, or plutonia.wad from one of the
+commercial Doom games, copy them there too.
-Requirements: sdl (SDL_mixer, SDL_net, all included in the sdl-1.2.*
-package in slackware/l series)
+Highly recommended to play the Doom background music:
+TiMidity++ with freepats (both available at SlackBuilds.org)
-Highly recommended: Get the timidity.tar.gz from the SDL_mixer page
-http://www.libsdl.org/projects/SDL_mixer/timidity/timidity.tar.gz (14M)
-and extract in /usr/lib/ for the great game music.
-
-Suggested: Take a look at the docs, man pages or visit BahdKo at
-http://www.doom2.net to learn how to watch demos, info, files, etc.
+Suggested: Take a look at the docs, man pages, or visit BahdKo at
+http://www.doom2.net to learn how to watch demos, info, files, etc.
A great help for newcomers. (You may need a proxy to visit this url)
diff --git a/games/prboom/prboom.SlackBuild b/games/prboom/prboom.SlackBuild
index 9caa6928de..06c73952af 100644
--- a/games/prboom/prboom.SlackBuild
+++ b/games/prboom/prboom.SlackBuild
@@ -1,13 +1,33 @@
#!/bin/sh
-# Slackware build script for prboom
-# Written by mannyslack (quakemanxs@yahoo.com)
+# Slackware build script for: prboom
+
+# Copyright 2009 Manuel Mantilla, Veracruz, Mexico
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=prboom
-VERSION=2.4.7
+VERSION=2.5.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -17,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
@@ -26,17 +48,24 @@ rm -rf $PRGNAM-$VERSION
tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+# --enable-gl allows to launch game with: prboom -vidmode gl
+# default is software video mode.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --enable-gl \
- || exit 1
-# --enable-gl seems to have no effect, any ideas?
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-gl || exit 1
make DESTDIR=$PKG || exit 1
make install-strip DESTDIR=$PKG || exit 1
@@ -46,9 +75,7 @@ make install-strip DESTDIR=$PKG || exit 1
for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*.info*
-
+mv $PKG/usr/share/doc $PKG/usr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING TODO INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/games/prboom/prboom.info b/games/prboom/prboom.info
index 6c78f2116c..f057cdfdd3 100644
--- a/games/prboom/prboom.info
+++ b/games/prboom/prboom.info
@@ -1,8 +1,8 @@
PRGNAM="prboom"
-VERSION="2.4.7"
+VERSION="2.5.0"
HOMEPAGE="http://prboom.sourceforge.net"
-DOWNLOAD="http://dl.sourceforge.net/sourceforge/prboom/prboom-2.4.7.tar.gz"
-MD5SUM="9942f521764d7f89df2218a456da4f02"
-MAINTAINER="mannyslack"
-EMAIL="quakemanxs@yahoo.com"
-APPROVED="BP{k}"
+DOWNLOAD="http://downloads.sourceforge.net/prboom/prboom-2.5.0.tar.gz"
+MD5SUM="a8a15f61fa2626ab98051ab2703378c4"
+MAINTAINER="Manuel Mantilla"
+EMAIL="mannynix@megared.net.mx"
+APPROVED="dsomero"